Subject: Re: bug#59408: Emacs infinitely load when opening .py file

From: Eli Zaretskii <[email-masked]>
Date: Sun, 20 Nov 2022 12:52:44 +0200

> From: Rodrigo Morales <[email-masked]>
> Date: Sun, 20 Nov 2022 05:35:34 -0500
> 
> I've attached a file named "main.py". I've tried opening it with
> "emacs -Q main.py" in a tty and Emacs infinitely loads.
> 
> # Reproducing the bug
> 
> 1. Open the file I've attached in this message with "emacs -Q main.py".
> 
> At this point, Emacs will infinitely load (at least that's what I can
> infer since I waited 30 seconds and then decided to kill the process)

Thanks.  I can reproduce this in Emacs 28, but not in Emacs 29.  So I think
this bug was already fixed for the upcoming Emacs 29 release.

> It's worth mentioning that the attached file is a simplified version
> of the file that I was editing. When I first found this bug, I was
> editing a .py file with more lines and I found this infinite loading
> when I executed M-x occur and searched for any string.

Can you try the master branch of the Emacs Git repository, and see if your
actual Python file loads reasonably fast with Emacs 29?